std::__is_fast_hash< _Hash >(3)

NAME
std::__is_fast_hash< _Hash >

SYNOPSIS

#include <functional>

Inherits std::true_type.

Detailed Description

  template<typename _Hash>
struct std::__is_fast_hash< _Hash >"Hint about performance of hash functions.

If a given hash function object is not fast, the hash-based containers will cache the hash code. The default behavior is to consider that hashers are fast unless specified otherwise.

Users can specialize this for their own hash functions in order to force caching of hash codes in unordered containers. Specializing this trait affects the ABI of the unordered containers, so use it carefully.

Author

Generated automatically by Doxygen for libstdc++ from the source code.